Subject: Add a simple file backend for caching that favors speed over flexibility
Description

The tagging features of the file backend are powerful but come at a cost. Flushing caches by tag can be extremely costly when a lot
of entries and tags are used.

It would be useful to have a simpler file backend that doesn't support tagging but is faster instead.

Related issues:
related to Core - Feature # 36564: Add a simple file backend for caching that... Closed 2012-04-25
related to Core - Feature # 39430: Update cache framework to latest FLOW3 ver... Resolved 2014-04-17

Associated revisions
Revision 08924c0c - 2012-04-25 23:21 - Karsten Dambekalns

[!!!][FEATURE] Make cache backends more flexible

This change makes cache backends more flexible. It adds a new interface
"TaggableBackendInterface" and a new "SimpleFileBackend". The latter
does not support tagging but is faster in certain cases (where with a
lot of tags/entries flushing everything is faster than flushing by tag).

If you have implemented a cache backend and support tagging, you must
add the "TaggableBackendInterface" to the list of interfaces implemented
by your backend.

In addition this change makes the PDO backend a little more robust and
resolves some code style issues.

Resolves: #36563
Related: #34875
Extbase Issue: #36564
Releases: 1.1

Change-Id: I2b6c315493e983c50572026c1605ae5ad4099284

History
#1 - 2012-04-25 18:00 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10763

#2 - 2012-04-25 22:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10763

#3 - 2012-04-25 23:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10763

#4 - 2012-04-26 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:08924c0cf8ceec3c181b31f61d5ae6cf2c6b8467.
